Trigger a test run
Queues a run for a saved test plan. Web runs can use a saved environment or explicit web target. API and mobile runs require either environmentSlug or explicit targets. Requires the autonomy:runs:write API key scope.
Queues a run for a saved test plan. Web runs can use a saved environment or explicit web target. API and mobile runs require either environmentSlug or explicit targets. Requires the autonomy:runs:write API key scope.
Authorization
bearerAuth Send Authorization: Bearer . The token can be an Autonomy organization API key (aut_xxx) or an OAuth access token.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/trigger" \ -H "Content-Type: application/json" \ -d '{ "testPlanId": "j57...", "platforms": [ "web" ], "branch": "feature/checkout", "pr": "42", "targets": { "web": { "baseUrl": "https://checkout-preview.example.com" } }, "deployment": { "provider": "vercel", "branch": "feature/checkout", "commitSha": "8f53a2c" } }'{
"runId": "string",
"status": "queued"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}